> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zype.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Roku EPG

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Playout Scheduler",
    "description": "",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.zype.com/"
    }
  ],
  "security": [
    {
      "api_key": []
    }
  ],
  "paths": {
    "/scheduler/v2/channels/{id}/epg/roku": {
      "get": {
        "summary": "Roku EPG",
        "description": "",
        "operationId": "getRokuEPG",
        "tags": [
          "EPG"
        ],
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "ID of Channel"
          },
          {
            "name": "custom_thumbnail",
            "in": "query",
            "schema": {
              "type": "boolean",
              "default": false
            },
            "description": "If true, uses the custom thumbnail from the Assets when they have one."
          }
        ],
        "responses": {
          "200": {
            "description": "Return roku epg for next 7 days",
            "content": {
              "application/json": {
                "schema": {
                  "title": "Roku EPG",
                  "type": "object",
                  "properties": {
                    "providerName": {
                      "type": "string"
                    },
                    "lastUpdated": {
                      "type": "string"
                    },
                    "language": {
                      "type": "string"
                    },
                    "liveFeeds": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string"
                          },
                          "title": {
                            "type": "string"
                          },
                          "brandedThumbnail": {
                            "type": "string"
                          },
                          "shortDescription": {
                            "type": "string"
                          },
                          "longDescription": {
                            "type": "string"
                          },
                          "validityPeriodStart": {
                            "type": "string"
                          },
                          "validityPeriodEnd": {
                            "type": "string"
                          },
                          "advisoryRatings": {
                            "type": "object",
                            "properties": {
                              "source": {
                                "type": "string"
                              },
                              "value": {
                                "type": "string"
                              }
                            }
                          },
                          "genres": {
                            "type": "array"
                          },
                          "tags": {
                            "type": "string"
                          },
                          "content": {
                            "type": "object",
                            "properties": {
                              "dateAdded": {
                                "type": "string",
                                "description": "The date the liveFeed was added to the library in the ISO 8601 format {YYYY}-{MM}-{DD}T{hh}:{mm}:{ss}+{TZ}. E.g. 2015-11-11T22:21:37+00:00 This information is used to generate the “Recently Added” category."
                              },
                              "language": {
                                "type": "string"
                              },
                              "validityPeriodStart": {
                                "type": "string",
                                "description": "The date when the content should become available in the ISO 8601 format {YYYY}-{MM}-{DD}T{hh}:{mm}:{ss}+{TZ}. E.g. 2018-11-11T22:21:37+00:00"
                              },
                              "validityPeriodEnd": {
                                "type": "string",
                                "description": "same as validityPeriodStart"
                              },
                              "schedule": {
                                "type": "object",
                                "properties": {
                                  "id": {
                                    "type": "string"
                                  },
                                  "durationInSeconds": {
                                    "type": "number"
                                  },
                                  "isLive": {
                                    "type": "boolean"
                                  },
                                  "date": {
                                    "type": "string",
                                    "description": "Scheduled date for program to play. All times are UTC. Format {YYYY}-{MM}-{DD}"
                                  },
                                  "times": {
                                    "type": "array",
                                    "description": "An array of start times in the particular day the program will start [ \"HH:MM:SS\" ]"
                                  },
                                  "attributes": {
                                    "type": "array"
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    "movies": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "externalIds": {
                            "type": "array",
                            "items": {
                              "allOf": [
                                {
                                  "$ref": "#/paths/~1scheduler~1v2~1channels~1%7Bid%7D~1epg~1roku/get/responses/200/content/application~1json/schema/properties/tvSpecials/items/allOf/0"
                                },
                                {
                                  "type": "object",
                                  "properties": {
                                    "genres": {
                                      "type": "string"
                                    },
                                    "externalIds": {
                                      "type": "array",
                                      "items": {
                                        "$ref": "#/paths/~1scheduler~1v2~1channels~1%7Bid%7D~1epg~1roku/get/responses/200/content/application~1json/schema/properties/series/items/properties/externalIds/items"
                                      }
                                    }
                                  }
                                }
                              ]
                            }
                          }
                        }
                      }
                    },
                    "series": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "seasons": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "seasonNumber": {
                                  "type": "number"
                                },
                                "episodes": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "episodeNumber": {
                                        "type": "number"
                                      },
                                      "episodes": {
                                        "type": "array",
                                        "items": {
                                          "type": "object",
                                          "properties": {
                                            "episodeNumber": {
                                              "type": "number"
                                            },
                                            "externalIds": {
                                              "type": "array",
                                              "items": {
                                                "$ref": "#/paths/~1scheduler~1v2~1channels~1%7Bid%7D~1epg~1roku/get/responses/200/content/application~1json/schema/properties/series/items/properties/externalIds/items"
                                              }
                                            }
                                          }
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          },
                          "episodes": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "episodeNumber": {
                                  "type": "number"
                                },
                                "episodes": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "episodeNumber": {
                                        "type": "number"
                                      },
                                      "externalIds": {
                                        "type": "array",
                                        "items": {
                                          "$ref": "#/paths/~1scheduler~1v2~1channels~1%7Bid%7D~1epg~1roku/get/responses/200/content/application~1json/schema/properties/series/items/properties/externalIds/items"
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          },
                          "externalIds": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "type": "string"
                                },
                                "idType": {
                                  "type": "string",
                                  "enum": [
                                    "TMS",
                                    "ROVI",
                                    "IMDB",
                                    "EIDR"
                                  ]
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    "shortFormVideos": {
                      "type": "array",
                      "items": {
                        "allOf": [
                          {
                            "$ref": "#/paths/~1scheduler~1v2~1channels~1%7Bid%7D~1epg~1roku/get/responses/200/content/application~1json/schema/properties/tvSpecials/items/allOf/0"
                          },
                          {
                            "type": "object",
                            "properties": {
                              "genres": {
                                "type": "string"
                              }
                            }
                          }
                        ]
                      }
                    },
                    "tvSpecials": {
                      "type": "array",
                      "items": {
                        "allOf": [
                          {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "string"
                              },
                              "title": {
                                "type": "string"
                              },
                              "thumbnail": {
                                "type": "string"
                              },
                              "releaseDate": {
                                "type": "string"
                              },
                              "shortDescription": {
                                "type": "string"
                              },
                              "credits": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "name": {
                                      "type": "string"
                                    },
                                    "role": {
                                      "type": "string",
                                      "enum": [
                                        "actor",
                                        "anchor",
                                        "host",
                                        "narrator",
                                        "voice",
                                        "director",
                                        "producer",
                                        "screenwriter"
                                      ]
                                    },
                                    "birthrate": {
                                      "type": "string",
                                      "description": "birthdate in format yyyy-mm-dd"
                                    }
                                  }
                                }
                              },
                              "advisoryRatings": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "source": {
                                      "type": "string",
                                      "enum": [
                                        "BBFC",
                                        "CHVRS",
                                        "CPR",
                                        "MPAA",
                                        "USA_PR",
                                        "RTC"
                                      ]
                                    },
                                    "value": {
                                      "type": "string"
                                    }
                                  }
                                }
                              }
                            }
                          },
                          {
                            "type": "object",
                            "properties": {
                              "genres": {
                                "type": "string"
                              },
                              "externalIds": {
                                "type": "array",
                                "items": {
                                  "$ref": "#/paths/~1scheduler~1v2~1channels~1%7Bid%7D~1epg~1roku/get/responses/200/content/application~1json/schema/properties/series/items/properties/externalIds/items"
                                }
                              }
                            }
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Channel not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1scheduler~1v2~1uploads/post/responses/404/content/application~1json/schema"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "X-API-Key",
        "in": "header"
      }
    }
  }
}
```